<?php
header("HTTP/1.1 200 OK");
header("Status: 200 OK");
header ("Content-type: text/html");
// inclusion des fonctions
session_start();
require_once("securite.class.php");
require_once("wiki.class.php");
require_once("Smarty/libs/Smarty.class.php");
$wiki = new wiki();
// detection de nouveau module
$upgrade = $wiki -> upgrade();
$securite = new securite();
// gestion des erreurs
function recuperer_erreur($errno,$errstr,$errfile,$errline)
{
// definition d'une variable
$page_conf = array();
    // On dfinit le type de l'erreur
    switch($errno)
    {
        case E_USER_ERROR :
            $type = "E_USER_ERROR";
            break;
        case E_USER_WARNING :
            $type = "E_USER_WARMING";
            break;
        case E_ERROR :
            $type = "E_ERROR";
            break;
        case E_WARNING :
            $type = "E_WARMING";
            break;
        default :
            $type = "inconnu";
            break;
    }
// corps du cms
$wiki = new wiki();
$texte = '<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
<head><title>Erreur</title></head>
<body>';
$texte .= $wiki -> lire_article("./erreur/4",$page_conf);
$erreur = '<table border=1 width="100%" style="border-collapse: collapse">
<tr bgcolor="#CCFFCC"><td>Info</td><td>Rapport d\'erreur</td></tr>
<tr><td><span style="color:red">Type</span></td><td>'.$type.'</td></tr>
<tr><td><span style="color:red">Message d\'erreur</span></td><td>['.$errno.'] '.$errstr.'</td></tr>
<tr><td><span style="color:red">Ligne</span></td><td>'.$errline.'</td></tr>
<tr><td><span style="color:red">Fichier</span></td><td>'.$errfile.'</td></tr>
</table>'
;
echo $texte."</body></html>";
// enregistrement de l'erreur
$texte = $wiki -> lire_fichier("./erreur/rapport_erreur.txt");
$wiki -> ecrire_fichier("./erreur/rapport_erreur.txt",$texte."\n<br/>\n".$erreur);
exit(0); 
}
// fin fonction
error_reporting(E_ALL);
set_error_handler('recuperer_erreur');
// fin
// traitement adresse
$url=$_SERVER['REQUEST_URI'];
$conf = $wiki -> lire_configuration("config.txt");
// affichage de la page
eregi($conf["dossier_wiki"]."([0-9a-z_:]+)",$url,$regs);
preg_match("#".$conf["dossier_wiki"]."[a-z0-9_:]+\?([a-z=&0-9A-Z_%!]+)#",$url,$get);
if (isset($get[1])) {
     $get = $wiki -> url_parametre($get[1]);
} else $get = "";

if ($regs[1] == "") {
     $regs[1] = "index";
	 $nom_fichier = "./data/index";
	 }
if (preg_match("#^".$conf["dossier_wiki"]."[0-9a-z_:]*(\?[a-z=&0-9A-Z_%!]+)?$#",$url) == false) $nom_fichier = "./erreur/1";
else $nom_fichier = "./data/".$regs[1];
// Smarty objet
$oSmarty = new Smarty();
// variable par de configuration pour les plugins
$page_conf["get"] = $get;
$page_conf["template"] = "defaut.tpl";
$page_conf["nom_page"] = $regs[1];
$page_conf["smarty"] = $oSmarty;
// fin variable defaut
// lecture page et verification des droits utilisateurs
$droit = $securite -> utilisateur_droit();
if ($droit["lecture"] == 0) $page = $wiki -> lire_article("./erreur/droit",$page_conf);
else $page = $wiki -> lire_article($nom_fichier,$page_conf);
// ajout d'information pour les plugins
$page_conf["page"] = $page;
// affichage smarty
// titre de la page
$oSmarty->assign('titre',$regs[1]);
$oSmarty->assign('menu_droit',$wiki -> lire_article("./erreur/menu_droit",$page_conf));
// nouveau module
$oSmarty->assign('module',$upgrade);
// titre du cms
$oSmarty->assign('titre_cms',$conf["titre_wiki"]);
// html dans les balises <head></head>
$oSmarty->assign('head',$wiki -> lire_article("./erreur/head",$page_conf));
// menu haut
$oSmarty->assign('menu_haut',$wiki -> lire_article("./erreur/menu_haut",$page_conf));
// texte avant le corps du cms
$oSmarty->assign('av_wiki',$wiki -> lire_article("./erreur/avant_wiki",$page_conf));
// aprs le corps du cms
$oSmarty->assign('ap_wiki',$wiki -> lire_article("./erreur/apres_wiki",$page_conf));
// corps du cms
$oSmarty->assign('wiki',$page_conf["page"]);
// affichage du template
$oSmarty->display($page_conf["template"]);
?>