<?php
// module d'administration
function plugin_admin($page_conf){
// inclusion des fonctions
require_once("securite.class.php");
require_once("wiki.class.php");
$securite = new securite();
$wiki = new wiki();
$adresse = "./module/admin/";
// recupration variable en get
$get = $page_conf["get"];
// listage des modules
$liste_module = $wiki -> repertoire_liste("./module");
// verification droit
$conf = $wiki -> lire_configuration("config.txt");
$url = $conf["url"];
$droit = $securite -> utilisateur_droit();
if ($droit["admin"] == 0) return $wiki->lire_article("./erreur/droit",$page_conf);
// panel admin
$texte = "Erreur, pas d'ID !!";
if (isset($get["id"]) != true){
$texte = '<!-- Administration du cms -->
<table border="0">
     <tr>
     <td align="center" width="14%">
          <a href="admin?id=article" alt=""><img src="'.$url.'/image/article.png" border="0" /><br/>Gestion des articles</a>
    </td><td align="center" width="14%">
          <a href="admin?id=utilisateur" alt=""><img src="'.$url.'/image/utilisateur.png" border="0" /><br/>Gestion des utilisateurs</a>
    </td><td align="center" width="14%">
		  <a href="admin?id=info" alt=""><img src="'.$url.'/image/info.png" border="0" /><br/>phpinfo</a>
    </td><td align="center" width="14%">
		  <a href="admin?id=plugin" alt=""><img src="'.$url.'/image/plugin.png" border="0" /><br/>Gestion des plugins</a>
    </td><td align="center" width="14%">
		  <a href="admin?id=news_cms" alt=""><img src="'.$url.'/image/news_cms.png" border="0" /><br/>Mise &agrave; jour</a>
	</td><td align="center" width="14%">
		  <a href="admin?id=erreur" alt=""><img src="'.$url.'/image/erreur.png" border="0" /><br/>Gestion des erreurs</a>
	</td></tr>
</table>
<!-- administration des plugins -->	  
<table border="0"><tr>';
// initialisation d'une variable
$a = 0;		  
// administration des modules
// cration d'un tableau (<table></table>)
for ($i = 0;$i <= sizeof($liste_module)-1;$i++){
if ($a >= 6) {
  $texte .= "</tr><tr>";
  $a = 0;
  }
// verification du fichier de configuration
if (file_exists("./module/".$liste_module[$i]["nom"]."/conf.txt")) {
$a = $a + 1;
$conf_module = $wiki -> lire_configuration("./module/".$liste_module[$i]["nom"]."/conf.txt");
     if (isset($conf_module["admin"])) $texte .= '
	 <td width="14%" align="center">
	 <a href="'.$conf_module["admin"].'" alt="" >
	 <img src="'.$url."./module/".$liste_module[$i]["nom"].'/admin.png" border="0" /><br/>'.$liste_module[$i]["nom"].'</a>
	 </td>';
}
}
$texte .= '</tr></table>
<!-- /administration plugins -->';		  
		  } else {
if ($get["id"] == "utilisateur") { require_once($adresse."utilisateur.php");$texte = utilisateur($page_conf);}	  
if ($get["id"] == "article") { require_once($adresse."article.php");$texte = article($page_conf);}
if ($get["id"] == "plugin"){ require_once($adresse."plugin.php");$texte = plugin($page_conf);}
if ($get["id"] == "news_cms"){ require_once($adresse."cms.php");$texte = cms($page_conf);}
if ($get["id"] == "erreur"){ require_once($adresse."erreur.php");$texte = erreur($page_conf);}
if ($get["id"] == "info"){ $texte = '
<iframe src ="info.php" width="100%" height="400px" frameborder="0">
  <p>Votre navigateur ne supporte pas les frames!!</p>
</iframe>';
$texte = $texte."\n<a href=\"admin\" alt=\"\">Retour</a>";;}	  
		  }
return $texte;
}
?>